ONVIF::Device::Elements::CreateUsers(3pm)

NAME
ONVIF::Device::Elements::CreateUsers

DESCRIPTION
Perl data type class for the XML Schema defined element CreateUsers from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   User

     $element->set_User($data);
     $element->get_User();

METHODS

  new
 my $element = ONVIF::Device::Elements::CreateUsers->new($data);

Constructor. The following data structure may be passed to new():

 {
   User =>  { # ONVIF::Device::Types::User
     Username =>  $some_value, # string
     Password =>  $some_value, # string
     UserLevel => $some_value, # UserLevel
     Extension =>  { # ONVIF::Device::Types::UserExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL